Create Backup
POST
/databases/{database_id}/backups
const url = 'https://api.mengi.cloud/databases/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/backups';const options = { method: 'POST', headers: {'Content-Type': 'application/json'}, body: '{"backup_type":"manual"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.mengi.cloud/databases/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/backups \ --header 'Content-Type: application/json' \ --data '{ "backup_type": "manual" }'Trigger a manual backup of a database instance.
Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” database_id
required
Database Id
string format: uuid
Request Body
Section titled “Request Body ” Media type application/json
BackupCreateRequest
object
backup_type
Backup Type
string
Responses
Section titled “ Responses ”Successful Response
Media type application/json
DatabaseBackupResponse
object
id
required
Id
string format: uuid
database_instance_id
required
Database Instance Id
string format: uuid
backup_type
required
Backup Type
string
status
required
Status
string
created_at
required
Created At
string format: date-time
Example generated
{ "id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "database_instance_id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "backup_type": "example", "status": "example", "size_bytes": 1, "s3_path": "example", "error_message": "example", "started_at": "2026-04-15T12:00:00Z", "completed_at": "2026-04-15T12:00:00Z", "created_at": "2026-04-15T12:00:00Z"}Validation Error
Media type application/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Example generated
{ "detail": [ { "loc": [ "example" ], "msg": "example", "type": "example" } ]}